<?php $options = human_presence()->get_options(); ?>
<!-- Render Modal -->
<div id="hp-modal-open" class="hp-modal-window" style="display: none;">
	<div>
		<a href="#hp-modal-close" title="Close" class="hp-modal-close">&times;</a>
		<h1>Human Presence Settings</h1>
		<p>You can use the following settings to customize the Human Presence configuration on your site.</p>
		<br/>

		<form name="hpres_settings_form" method="post" action="<?php echo esc_url( add_query_arg( 'action', 'humanpresence_change_settings', human_presence()->admin_url ) ); ?>">
			<?php wp_nonce_field( 'humanpresence_change_settings', 'humanpresence_nonce' ); ?>
			<input type="hidden" name="hpres_settings_change_submitted" value="Y">

			<table class="wp-list-table widefat fixed striped">
				<tbody>
				<tr>
					<td class="dl">
						<p>
							Enable Auto-protection of all forms and comments
							<span class="hp-pop">
								<i class="fa fa-info-circle fa-fw"></i>
								<span class="popover above">When enabled, comments and all existing forms, as well as new ones, will be automatically protected instead of choosing to protect them individually.</span>
							</span>
						</p>
					</td>
					<td class="pull-right">
						<div class="check-toggle-container">
							<label class="check-toggle-label"></label>
							<div class="check-toggle">
								<input id="hp-enable-autoprotect" name="autoprotect" type="checkbox" value="1" <?php echo ( ! isset( $options['wp_hp_autoprotect'] ) || ( null == $options['wp_hp_autoprotect'] ) || ( 0 == $options['wp_hp_autoprotect'] ) ) ? '' : 'checked'; ?> />
								<label for="hp-enable-autoprotect"></label>
								<span></span>
							</div>
						</div>
					</td>
				</tr>

				<tr>
					<td class="dl">
						<p>
							Adjust the Minimal Confidence Threshold
							<span class="hp-pop">
								<i class="fa fa-info-circle fa-fw"></i>
								<span class="popover above">A number between 0 and 100 that represents the minimum percentage of confidence acceptable before failing the form validation.</span>
							</span>
						</p>
					</td>
					<td class="pull-right">
						<label for="minimal_confidence"></label>
						<input class="minimal-confidence" name="minimal_confidence" type="number" value="<?php echo isset( $options['wp_hp_min_confidence'] ) ? esc_attr( $options['wp_hp_min_confidence'] ) : 100; ?>" />
					</td>
				</tr>

				<!-- TODO: Add support for CAPTCHA fallback -->
				</tbody>
			</table>

			<p class="action-row">
				<input class="button-primary" name="hpres_settings_save" type="submit" value="Save changes">
			</p>
		</form>

	</div>
</div>
